﻿<!DOCTYPE html>
<html lang="en">


<head>

    @await Html.PartialAsync("_Favicons");

    <style>        .navbar-nav {
            background-color:transparent !important
        }

    </style>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - BeerOverFlow</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
    <link rel="stylesheet" href="~/css/background.css" />
</head>
<body>
    <header>

        <nav class="navbar navbar-expand-sm navbar-toggleable-sm   box-shadow mb-3">
            <div class="container">
               @* <a class= "text-light  navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">BeerOverFlow</a>*@
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse ">
                    <partial name="_LoginPartial" />
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-light"  asp-area="" asp-controller="Home" asp-action="Index"><h4>Home</h4></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Beers" asp-action="ListBeers"><h4>Beers</h4></a>
                        </li>                  
                        <li class="nav-item">  
                            <a class="nav-link text-light" asp-area="" asp-controller="Brewery" asp-action="ListBreweries"><h4>Breweries</h4></a>
                        </li>                  
                        <li class="nav-item">  
                            <a class="nav-link text-light" asp-area="" asp-controller="Country" asp-action="ListCountries"><h4>Countries</h4></a>
                        </li>
                        @if (User.IsInRole("Admin"))
                        {
                            <li class="nav-item">
                                <a class="nav-link text-light" asp-area="" asp-controller="User" asp-action="ListUsers"><h4>Users</h4></a>
                            </li>
                        }
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>
    @*<footer class="border-top footer text-muted">
            <div class="container">
                &copy; 2020 - BeerOverFlow - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
            </div>
        </footer>*@
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>

    @RenderSection("Scripts", required: false)
</body>
</html>
